/* upgrade1.0 start */
ALTER TABLE `zt_team` ADD COLUMN `projectRole` varchar(255) DEFAULT NULL COMMENT '项目角色' AFTER `order`;

CREATE TABLE `zt_workflownodelayout` (
  `id` mediumint UNSIGNED NOT NULL AUTO_INCREMENT,
  `flow` mediumint NOT NULL COMMENT '审批流id',
  `module` varchar(30) NOT NULL,
  `action` varchar(50) NOT NULL,
  `field` varchar(50) NOT NULL,
  `order` smallint UNSIGNED NOT NULL,
  `width` smallint NOT NULL,
  `position` text NOT NULL,
  `readonly` enum('0','1') NOT NULL DEFAULT '0',
  `mobileShow` enum('0','1') NOT NULL DEFAULT '1',
  `summary` varchar(20) NOT NULL,
  `defaultValue` text NOT NULL,
  `layoutRules` varchar(255) NOT NULL,
  `vision` varchar(10) NOT NULL DEFAULT 'rnd',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `unique`(`module`, `action`, `field`, `vision`) USING BTREE,
  INDEX `module`(`module`) USING BTREE,
  INDEX `action`(`action`) USING BTREE,
  INDEX `order`(`order`) USING BTREE
) ENGINE = InnoDB;



