<?php
/**
 * Build testsuite menu.
 *
 * @param  object $suite
 * @param  string $type
 * @access public
 * @return string
 */
public function buildOperateMenu($suite, $type = 'view')
{
    $menu   = '';
    $params = "suiteID=$suite->id";

    if($type == 'view') $menu .= $this->buildFlowMenu('testsuite', $suite, $type, 'direct');

    $menu .= $this->buildMenu('testsuite', 'linkCase', $params, $suite, $type, 'link', '', '', '', '', $this->lang->testsuite->linkCase);
    $menu .= $this->buildMenu('testsuite', 'edit',     $params, $suite, $type);
    $menu .= $this->buildMenu('testsuite', 'delete',   $params, $suite, $type, 'trash', 'hiddenwin');

    if($type == 'browse') $menu .= $this->loadModel('approval')->buildApprovalMenu('testsuite', $suite);

    return $menu;
}
