<?php
helper::importControl('approvalflow');
class myApprovalFlow extends approvalflow
{
    /**
     * Delete flow.
     *
     * @param  int    $flowID
     * @param  string $confirm yes|no
     * @access public
     * @return void
     */
    public function delete($flowID, $confirm = 'no')
    {
        if($confirm == 'no')
        {
            die(js::confirm($this->lang->approvalflow->confirmDelete, inLink('delete', "flowID=$flowID&confirm=yes")));
        }
        else
        {
            $flowModule = $this->approvalflow->getWorkflowModule($flowID);
            $result     = $this->loadModel('workflow')->disableApproval($flowModule);
            if($result['result'] == 'fail') die(js::error($result['message']));

            $this->dao->update(TABLE_APPROVALFLOW)->set('deleted')->eq(1)->where('id')->eq($flowID)->exec();
            if(defined('RUN_MODE') && RUN_MODE == 'api') return $this->send(array('status' => 'success'));
            die(js::locate($this->session->flowList, 'parent'));
        }
    }
}
