<?php

class workflownodelayoutModel extends model
{
    /**
     * Get node layout list.
     *
     * @param  int    $module
     * @param  string $node
     * @access public
     * @return mixed
     */
    public function getNodeLayout($module, $node = '')
    {
        return $this->dao->select('*')->from(TABLE_WORKFLOWNODELAYOUT)
            ->where('module')->eq($module)
            ->beginIF(!empty($node))->andWhere('action')->eq($node)->fi()
            ->fetchAll();
    }

    /**
     * Get node layout list without base data.
     *
     * @param  int    $module
     * @param  string $node
     * @access public
     * @return mixed
     */
    public function getNodeLayoutWithoutBase($module, $node = '')
    {
        return $this->dao->select('*')->from(TABLE_WORKFLOWNODELAYOUT)
            ->where('module')->eq($module)
            ->beginIF(!empty($node))->andWhere('action')->eq($node)->fi()
            ->andWhere('field')->notin(['reviewOpinion', 'reviewResult'])
            ->fetchAll();
    }
}
